routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::group(['middleware'=>'auth'],function(){
	Route::get('/','BarangController@index');
	Route::resource('barang','BarangController');
	Route::resource('customer','CustomerController');
	Route::resource('transaksi','TransaksiController');
	Route::resource('report','ReportController');	
});

// Auth::routes();

//Route::get('/home', 'HomeController@index')->name('home');

app/Customer.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Customer extends Model
{
    //
    protected $primaryKey = "id_customer";
    protected $table ="customers";

    public function transaksi()
    {
    	return $this->belongsTo(Transaksi::class,'id_transaksi');
    }


    public function tr_transaksi()
    {
    	return $this->hasMany(TrTransaksi::class,'id_transaksi');
    }

}

app/Http/Controllers/CustomerController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Customer;


class CustomerController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $data['customer'] = Customer::paginate(10);
        return view('customer.index',$data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('customer.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $validatedData = $request->validate([
            'nama_customer' => 'required|max:255',
            'alamat_customer' => 'required',

        ]);

        $customer = new Customer;
        $customer->nama_customer = $request->nama_customer;
        $customer->alamat_customer = $request->alamat_customer;
        $customer->keterangan = $request->keterangan;
        $customer->save();

        return redirect('customer')->with('status','Data customer berhasil ditambahkan');

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
       
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
        $data['customer'] = Customer::find($id);
        return view('customer.edit',$data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        $validatedData = $request->validate([
            'nama_customer' => 'required|max:255',
            'alamat_customer' => 'required',
        ]);

        $customer = Customer::find($id);
        $customer->nama_customer = $request->nama_customer;
        $customer->alamat_customer = $request->alamat_customer;
        $customer->keterangan = $request->keterangan;
        $customer->save();
        
        return redirect('customer')->with('status','Data customer berhasil diupdate');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        $customer = Customer::find($id);
        $customer->delete();

        return redirect('customer')->with('status','Data customer berhasil dihapus');
    }
}

resources/views/customer/create.blade.php
<!-- LAYOUT -->
@extends('layout')

<!-- TITLE -->
@section('title')
	Create Customer
@endsection


<!-- CONTENT -->
@section('content')
<div>
    <div class="x_panel">
      <div class="x_title">
        <h2> Master Customer </h2>
        <ul class="nav navbar-right panel_toolbox">
          <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
          </li>
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
            <ul class="dropdown-menu" role="menu">
              <li><a href="#">Settings 1</a>
              </li>
              <li><a href="#">Settings 2</a>
              </li>
            </ul>
          </li>
          <li><a class="close-link"><i class="fa fa-close"></i></a>
          </li>
        </ul>
        <div class="clearfix"></div>
      </div>

      <div class="x_content">
      @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
      @endif
     
      <form id="form_customer" action="{{route('customer.store')}}"  method="POST" data-parsley-validate class="form-horizontal form-label-left">
        @csrf

         <div class="form-group">
            <label class="col-form-label col-sm-2" for="nama_customer"> Nama Customer   <span class="required" style="color:red">*</span>
            </label>
            <div class="col-md-6">
              <input type="text" id="nama_customer" name="nama_customer" value="{{old('nama_customer')}}" required="required" class="form-control">
            </div>
          </div>


          <div class="form-group">
              <label class="col-form-label col-sm-2" for="alamat_customer"> Alamat Customer  <span class="required" style="color:red">*</span>
              </label>
              <div class="col-md-6">
                <input type="text" id="alamat_customer" name="alamat_customer" value="{{old('alamat_customer')}}" required="required" class="form-control">
              </div>
          </div>



           <div class="form-group">
            <label class="col-form-label col-sm-2" for="keterangan"> Keterangan
            </label>
            <div class="col-md-6">
            <textarea type="text" id="keterangan"  name="keterangan"   class="form-control">{{old('keterangan')}}</textarea>
            </div>
          </div>

          <div class="ln_solid"></div>
          <div class="form-group">
            <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
              <a class="btn btn-default" type="button" href="{{ route('customer.index') }}" >Batal</a>
              <button type="submit"  id=""  class="btn btn-success">Simpan</button>
            </div>
          </div>
        </form>
      </div>
    </div>
</div>
@endsection

resources/views/customer/edit.blade.php
<!-- LAYOUT -->
@extends('layout')

<!-- TITLE -->
@section('title')
	Create customer
@endsection


<!-- CONTENT -->
@section('content')
<div>
    <div class="x_panel">
      <div class="x_title">
        <h2> Master customer </h2>
        <ul class="nav navbar-right panel_toolbox">
          <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
          </li>
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
            <ul class="dropdown-menu" role="menu">
              <li><a href="#">Settings 1</a>
              </li>
              <li><a href="#">Settings 2</a>
              </li>
            </ul>
          </li>
          <li><a class="close-link"><i class="fa fa-close"></i></a>
          </li>
        </ul>
        <div class="clearfix"></div>
      </div>

      <div class="x_content">
      @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
      @endif
     
      <form id="form_customer" action="{{route('customer.update',$customer->id_customer)}}"  method="POST" data-parsley-validate class="form-horizontal form-label-left">
            {{ csrf_field() }}
            {{ method_field('PUT') }}
         <div class="form-group">
            <label class="col-form-label col-sm-2" for="nama_customer"> Nama Customer   <span class="required" style="color:red">*</span>
            </label>
            <div class="col-md-6">
            <input type="text" id="nama_customer" name="nama_customer" value="{{$customer->nama_customer}}" required="required" class="form-control">
            </div>
          </div>

          <div class="form-group">
              <label class="col-form-label col-sm-2" for="alamat_customer"> Alamat Customer  <span class="required" style="color:red">*</span>
              </label>
              <div class="col-md-6">
                <input type="text" id="alamat_customer" name="alamat_customer" value="{{$customer->alamat_customer}}" required="required" class="form-control">
              </div>
            </div>

           <div class="form-group">
            <label class="col-form-label col-sm-2" for="keterangan"> Keterangan
            </label>
            <div class="col-md-6">
              <textarea type="text" id="keterangan"  name="keterangan"  class="form-control">{{$customer->keterangan}}</textarea>
            </div>
          </div>

          <div class="ln_solid"></div>
          <div class="form-group">
            <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
              <a class="btn btn-default" type="button" href="{{ route('customer.index') }}" >Batal</a>
              <button type="submit"  id=""  class="btn btn-success">Simpan</button>
            </div>
          </div>
        </form>
      </div>
    </div>
</div>
@endsection

resources/views/customer/index.blade.php
<!-- LAYOUT -->
@extends('layout')

<!-- TITLE -->
@section('title')
	Master Customer
@endsection


<!-- CONTENT -->
@section('content')
<div>
    <div class="x_panel">
      <div class="x_title">
        <h2> Master Customer </h2>
        <ul class="nav navbar-right panel_toolbox">
          <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
          </li>
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
            <ul class="dropdown-menu" role="menu">
              <li><a href="#">Settings 1</a>
              </li>
              <li><a href="#">Settings 2</a>
              </li>
            </ul>
          </li>
          <li><a class="close-link"><i class="fa fa-close"></i></a>
          </li>
        </ul>
        <div class="clearfix"></div>
      </div>

      @if (session('status'))
        <div class="alert alert-success">
            {{ session('status') }}
        </div>
      @endif

      <div  class="col-sm-12">
          <a class="btn btn-success" id="" href="{{route('customer.create')}}"><i class="fa fa-plus"></i> Tambah  </a>
      </div>
      <div class="x_content">
            <table id="" class="table table-striped jambo_table bulk_action" cellspacing="0" width="100%">
            <thead>
              <tr class="headings">
                <th class="column-title" width="5%">No </th>
                <th class="column-title">Nama Customer </th>
                <th class="column-title"> Alamat Customer </th>
                <th class="column-title"> Keterangan </th>
                <th class="column-title no-link last" width="150px;"><span class="nobr">Action</span>
                </th>
              </tr>
            </thead>
            <tbody>
              @php
                $no=1;   
              @endphp
              @foreach ($customer as $cs)
                <tr>
                  <td>{{$no}}</td>
                  <td>{{$cs->nama_customer}}</td>
                  <td>{{$cs->alamat_customer}}</td>
                  <td>{{$cs->keterangan}}</td>
                <td> <a class="btn btn-primary" href="{{route('customer.edit',$cs->id_customer)}}"> Edit </a>
                   {{-- <a class="btn btn-danger" href="{{url('customer/'.$cs->id_customer)}}"> Delete </a>  --}}
                   <form action="{{ route('customer.destroy', $cs->id_customer) }}" method="POST" style="display:inline">
                      {{ csrf_field() }}
                      {{ method_field('DELETE') }}
                      <button class="btn btn-danger btn-xs">
                        <span>DELETE</span>
                      </button>
                    </form>
                  
                  </td>
                </tr>    
                @php
                  $no++    
                @endphp
              @endforeach
              

            </tbody>
          </table>
      </div>
    </div>
</div>
@endsection